<?php 
//用户管理只有[1001]用户可使用；
session_start();
$page_title="用户管理—恩格会计管理系统";
//用户为空时转到登录页面并中止执行程序；
if($_SESSION[username]==""){
	echo '<script language="javascript" type="text/javascript">window.location.href="login.php";</script>';
	exit();
}
//用户不为管理员时提示权限不够；
if($_SESSION[userid]!=="1001"){
	include("header.php");
	echo '<table width="100%" bgcolor="yellow">
		  <tr>
		  <td width="18px">
			<img src="picture/alert.gif" width="16" height="16" /></td>
		  <td>
		  您的权限不够，无法正常显示本页内容。如有需要，请联系管理员。
		  </td>
		  </tr>
		  </table>';
	include("footer.php");
	exit();
}
?>
<html>
<head>
<meta charset="utf-8">
<title>新增用户—恩格会计管理系统</title>
<link rel="stylesheet" href="myCss.css" type="text/css" />
<script language="javascript" type="text/javascript">
<!--
function checkForm(){
	if (form1.id.value==""){
	    alert("ID不能为空！");
		form1.id.focus();
		return false;
	}
	
	if (isNaN(form1.id.value)){
	    alert("ID必须为数字！");
		form1.id.focus();
		return false;
	}
	
	if (form1.id.value=='1001'){
	    alert("ID值不合法！");
		form1.id.focus();
		return false;
	}
	
	if (form1.name.value==""){
	    alert("名称不能为空！");
		form1.name.focus();
		return false;
	}
	
	if (form1.name.value=='admin' || form1.name.value=='是' || form1.name.value=='否'){
		alert("名称值不合法！");
		form1.name.focus();
		return false;
	}
	
	if ((form1.name.value).indexOf('/')!=-1 || (form1.name.value).indexOf('-')!=-1 || (form1.name.value).indexOf(':')!=-1){
		alert('名称中不能含有“/”,“-”,“:”字符！');
		form1.name.focus();
		return false;
	}
	
	if (form1.telephone.value==""){
	    alert("电话不能为空！");
		form1.telephone.focus();
		return false;
	}
	
	form1.submit();
}
//-->
</script>
</head>

<body>
<form action="userInsertSubmit.php" method="post" name="form1">
<table>
<tr>
<td>ID</td><td><input name="id" type="text" /></td>
</tr>
<tr>
<td>名称</td><td><input name="name" type="text" /></td>
</tr>
<tr>
<td>电话</td><td><input name="telephone" type="text" /></td>
</tr>
<tr>
<td colspan="2" align="center"><input name="insert" type="button" onClick="checkForm()" value="添加" /></td>
</tr>
</table>
</form>
</body>
</html>